/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@800&display=swap');

/* Admin Styles */
.accessdenied,
.incorrect,
.noaccountfound {
  background-color: #ffb9b9;
}
.loggedout {
  background-color: #bbffb9;
}
.passwordupdated,
.passwordreset {
  background-color: #ffe882;
}
#admin-grid {
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: min-content auto min-content;
  grid-template-areas:
    "admin-nav"
    "main"
    "admin-footer";
  height: 100vh;
}
#admin-grid-2-top-bar {
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: min-content min-content auto min-content;
  grid-template-areas:
    "admin-nav"
    "buttons"
    "main"
    "admin-footer";
  height: 100vh;
}
#sidebar {
  display: none;
  grid-area: sidebar;
  background-color: #484848;
  overflow-y: auto;
}
#buttons {
  background-color: #efefef;
  border-radius: 0.5rem;
  padding: 0.5rem;
  border: 1px solid rgb(206, 212, 218);
  margin-left: auto;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
}
#main {
  grid-area: main;
  padding: 1rem;
  overflow-y: auto;
}
#admin-nav {
  grid-area: admin-nav;
}
#admin-footer {
  grid-area: admin-footer;
}

/* MCE */
.mce-fullscreen {
  z-index: 1050 !important;
}

/* Carousel Logo placement */
.mini-logo {
  position: absolute;
  top: 5%;
  left: 5%;
  width: 25%;
  z-index: 100;
  text-shadow: 2px 2px 1px rgba(0, 0, 0, 0.74);
}

/* General Stuff */
.vh-100{
  height: 100vh!important; /* Fallback for browsers that do not support Custom Properties */
  height: calc(var(--vh, 1vh) * 100)!important;
}
a {
  text-decoration: none;
}
.img-left {
  float: left;
  max-width: 50%;
  padding: 10px 10px 10px 0px;
  height: auto;
}
.img-right {
  float: right;
  max-width: 50%;
  padding: 10px 0px 10px 10px;
  height: auto;
}

/* Toasty! */
#liveToast.show{
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1021;
}
.toast{
  width: 300px;
  margin-left: auto;
  margin-right: 5rem;
  margin-top: 5rem;
}

/* Gallery stuff */
.galpreview{
  overflow:hidden;
  height: 10rem;
  background-repeat: no-repeat;
  background-size:cover;
  background-position:center;
}

/* Table stuff */
table.dataTable tbody td {
  vertical-align: middle;
}

/* Sidebar nav styling */
.sidebar-nav > a.list-group-item.list-group-item-action {
  background-color: #484848;
  border-color: #909090;
  color: white;
}

.sidebar-nav > a.list-group-item.list-group-item-action:focus,
.sidebar-nav > a.list-group-item.list-group-item-action:hover {
  background-color: #000000;
  border-color: #909090;
  color: white;
}
.sidebar-nav > a.list-group-item.list-group-item-action.active {
  background-color: #bbbbbb;
  color: black;
  border-color: #909090;
}

/* Testimonial stuff */
.testimonial-panel{
  width: 100%;
  min-height: 350px;
  background-color: #dddddd;
  font-weight: 900;
}
@media only screen and (max-width: 576px) {
  .testimonial-panel{
    min-height:600px;
  }
}
.testimonial-overlay {
  text-align: center;
  width: 100%;
  height: 100%;
  position: relative;
}
.testimonial-overlay .blockquote{
  font-size: 22px;
  line-height: 1.67;
  color: black;
  font-style: italic;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.testimonial-overlay .blockquote-footer{
  font-size: 18px;
  line-height: 1.67;
  font-weight: bold;
}
.testimonial-overlay cite{
  font-style: normal;
}
.fade {
  transition: opacity 0.4s linear !important;
}
.show {
  opacity: 1!important;
}
.hide {
  opacity: 0!important;
}
@media (min-width: 768px) {
  #admin-grid {
    grid-template-columns: 12rem auto;
    grid-template-rows: min-content auto min-content;
    grid-template-areas:
      "admin-nav admin-nav"
      "sidebar main"
      "admin-footer admin-footer";
  }
  #admin-grid-2-top-bar {
    grid-template-columns: 12rem auto;
    grid-template-rows: min-content min-content auto min-content;
    grid-template-areas:
      "admin-nav admin-nav"
      "sidebar main"
      "admin-footer admin-footer";
  }
  #sidebar {
    display: grid;
    grid-template-rows: min-content auto min-content;
  }
}


/* Karl */


/* General Formatting */
.bounds {
  width: 940px;
  margin: 60px auto 0px auto;
}
@media (max-width: 940px) {
  .bounds {
    width: 80%;
    padding: 0px 10px;
  }
}
.no-top {
  margin-top: 0px !important;
}
.block {
  margin: 25px 0px;
}
@media (max-width: 991px) {
  .screen-large {
    opacity: 0%;
    display: none;
  }
  .opening-times-xsmall {
    opacity: 0%;
    display: none;
  }
  .mt45 {
    margin-top: 0px !important;
  }
  .mt50 {
    margin-top: 0px !important;
  }
}
@media (min-width: 992px) {
  .screen-small {
    opacity: 0%;
    display: none;
  }
}
.construction {
  height: 700px;
  width: 100%;
  background-image: url(/images/construction.jpg);
}


/* Text Formatting */
.text {
  font-size: 1rem;
  color: #1d1d1d;
  margin: 10px 0px;
}
body {
  font-family: 'Poppins', sans-serif;
}
.tals {
  text-align: right;
  direction: rtl;
}


/* Navbar Stuff */
.nav-item {
  font-family: 'Rubik', sans-serif;
  font-size: 1.2rem;
  text-transform:uppercase;
}
.navbar-stick{
  position: fixed !important;
  width: 100%;
  height: 60px;
  z-index: 99999;
  text-align: center !important;
}
.rackheath-opening-times {
  background-image: url(/images/navback.png);
  position: fixed;
  top: 70px;
  left: 10px;
  z-index: 9999;
  padding: 15px 15px;
  border-radius:10px;
}
.norwich-opening-times {
  background-image: url(/images/navback.png);
  position: fixed;
  top: 70px;
  right: 10px;
  z-index: 9999;
  padding: 15px 15px;
  border-radius:10px;
}
.opening-times-title {
  font-size: 1.2rem;
  font-family: 'Rubik', sans-serif;
  text-transform:uppercase;
  text-align: center;
}
.day {
  font-size: 1rem;
  margin-top: 5px;
  text-align: center;
}
.time {
  font-size: 0.9rem;
  margin-bottom: 5px;
  text-align: center;
}
.dropdown-menu{
    background-color: #7dbf66;
    text-align: center;
    border: 0;
    border-radius: 10px;
    margin-top: 15px !important;
    width: 200px !important;
    -webkit-filter: drop-shadow(0px 0px 10px #00000060);
    filter: drop-shadow(0px 0px 10px #00000060);
}
.mt45 {
  margin-top: 60px;
}
.mt50 {
  margin-top: 50px;
}
.time-pad {
  padding: 0px 225px;
}

/* Footer Stuff */
.footer-bounds {
  width: 1600px;
  margin: auto;
  padding-bottom: 25px;
}
@media (max-width: 1600) {
  .footer-bounds {
    width: 80%;
    margin: auto;
  }
  }.footer-header {
  margin-bottom: 10px;
  color: #ffffffab;
  font-size: 1.4rem;
}
.footer-logo {
  width: 200px;
}
.footer-logo-text {
  font-family: 'Rubik', sans-serif;
  font-size: 3rem;
  text-transform: uppercase;
  position: relative;
  top: 12px;
}
.fl {
  padding-left: 15px;
  margin: 10px 0px;
  border-left: 5px solid #7dbf66;
  border-radius: 10px;
  transition: 0.3s;
}
.footer-text {
  font-size: 1.1rem;
}
.fl:hover {
  border-left: 15px solid #5e8f4d;
  transition: 0.3s;
  border-radius: 50px;
}
.footer-cr {
  text-align: right;
  font-size: 1rem !important;
}
@media (max-width: 575px) {
  .footer-cr {
    text-align: center;
  }
  .tals {
    text-align: left !important;
    direction: ltr;
  }
}



/* Home Page Stuff */
.home-title {
  font-family: 'Rubik', sans-serif;
  text-transform:uppercase;
  text-align: center;
  font-size: 4rem;
}
.home-about {
  text-align: center;
  font-size: 1.2rem;
  color: #1d1d1d;
}
.title {
  font-family: 'Rubik', sans-serif;
  text-transform:uppercase;
  font-size: 2rem;
}


/* Food Menu Formatting */
.separator {
  font-size: 1.75rem;
}
.menu-item {
  text-align: left;
  padding: 4px 0px;
  font-size: 1rem;
}


/* Vacancies */
.vacancies-block {
  outline: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  outline-offset: -5px;
  padding: 15px 20px;
  transition: 0.4s;
}
.vacancies-block:hover {
  transform: scale(1.025);
  transition: 0.4s;
}
.vacancies-title {
  font-size: 1.3rem;
  margin-bottom: 5px;
}
.vacancies-text {
  font-size: 1rem;
  margin: 5px 0px;
}
.vacancies-link {
  text-align: center;
  padding: 5px 0px;
}


.home-screen {
  height: 100%;
}
.home-screen-logo {
  text-align: center;
  position: absolute;
  top: 20%;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
}
.home-screen-rackheath {
  text-align: center;
  background-color: #b548d6;
}
.home-screen-norwich {
  text-align: center; 
  background-color: #d61919;
}

@media (max-width: 991px) {
  .opening-times-large {
    top: 80px;
  }
  .tals {
    text-align: left;
    direction: ltr;
  }
}
@media (max-width: 800px) {
  .opening-times-large {
    display: none;
  }
  .time-pad {
    padding: 0px 20px;
  }
}
.christmas-alert {
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  text-align: center;
  background-color: var(--primary-color);
  background-image: url(/images/navback.png);
  color: white;
  padding: 1.5rem 2rem;
  margin-top: 10px;
}
.christmas-alert h2 {
  font-weight: 800;
  text-transform: uppercase;
  font-family: 'Rubik', sans-serif;
}

.mb-45 {
  margin-bottom: -60px;
}

.closing-alert {
  margin-bottom: -40px;
  text-align: center;
  color: var(--primary-color);
}
.closing-alert h3 {
  margin-top: 2rem;
  font-weight: 800;
  text-transform: uppercase;
  margin-bottom: 0;
  font-family: 'Rubik', sans-serif;
}